<?php

/*
*	Copyright VeryIDE,2007-2010
*	http://www.veryide.com/
*
*	$Id: page.global.php,v3 19:47 2008-2-18 Lay $
*/
	
/*

	系统缓存（用户、用户组和模块）载入

*/

//////////// 用户 /////////////

//VeryIDE 已安装
if( VI_DBMANPRE && VI_DBMODPRE ){

	//载入用户缓存
	$cache = VI_ROOT.'cache/system/table.admin.php';

	//若不存在则主动创建缓存
	if( !file_exists($cache) ){

		//连接数据库
		System :: connect();

		//缓存系统用户
		Cached :: table( 'system','sys:admin', array( 'jsonde' => array('config') ) );

		//关闭数据库
		System :: connect();

	}	

	//载入缓存
	require($cache);

}


//未登录设置全局会话
if( !isset($_SESSION['Manager']) ){
	$_SESSION['Manager'] = array( "id"=>0, "account"=>"", "avatar"=>"", "gid"=>0 );	
}

//////////// 用户组 /////////////

//VeryIDE 已安装
if( VI_DBMANPRE && VI_DBMODPRE ){

	//载入分组缓存
	$cache = VI_ROOT.'cache/system/table.group.php';

	//若不存在则主动创建缓存
	if( !file_exists($cache) ){

		//连接数据库
		System :: connect();

		//缓存系统用户组
		Cached :: table( 'system','sys:group', array( 'jsonde' => array('config') ) );

		//关闭数据库
		System :: connect();

	}

	//载入缓存
	require($cache);
}

//加载权限到全局变量
//$_G['group'] = $_SESSION['Manager']["gid"] ? fix_json( $_CACHE['system']['group'][$_SESSION['Manager']["gid"]]["config"] ) : array();
$_G['group'] = $_SESSION['Manager']["gid"] ? $_CACHE['system']['group'][$_SESSION['Manager']["gid"]]["config"] : array();

//////////// 压缩选项 /////////////

//开启页面压缩
if( $_G['setting']['global']["compress"] == "on" ){
	ob_start("compress");
}

?>